Awards
/- Searches for references using predefined parameters
Creates a new reference record that does not already exist.
Returns a list of records with the specified reference_id
Execute Batch Operations
Returns a list of records with the specified contact_id
Sends out a preview of the CRC notification email
Sends out a preview of the CRC notification email
Submit a reference
Returns a reference from the system by its ID.
Returns a reference from the system by its ID.
Partially updates a reference with the specified ID.
Updates a reference with the specified ID.
Searches for references u...
Searches for references using predefined parameters
Security
knox-authorizer
The reference that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/awards/awards-v1/references/{tenantId}/search
- https://awards.api.rhythmsoftware.comhttps://awards.api.rhythmsoftware.com/references/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/awards/awards-v1/references/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"application_ids": [
"string"
],
"award_ids": [
"string"
],
"city": "string",
"contact_ids": [
"string"
],
"date": "string",
"email_address": "string",
"first_name": "string",
"ids": [
"string"
],
"job_title": "string",
"last_name": "string",
"name": "string",
"nickname": "string",
"organization_id": [
"string"
],
"state": "string"
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }